summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLamont Granquist <lamont@scriptkiddie.org>2019-07-17 15:08:56 -0700
committerLamont Granquist <lamont@scriptkiddie.org>2019-07-17 15:08:56 -0700
commite992344cbd22d8e03516b961c7fdae2ecac935b7 (patch)
tree03003456f29dd08270d1923321b8ecdd2ec37ced
parentf046ceca7f21ee61d7386e21779a6f60e7bdc49f (diff)
downloadchef-lcg/inspec-bin-test.tar.gz
test that inspec binstub is in the omnibus artifactlcg/inspec-bin-test
Signed-off-by: Lamont Granquist <lamont@scriptkiddie.org>
-rw-r--r--omnibus/omnibus-test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/omnibus/omnibus-test.sh b/omnibus/omnibus-test.sh
index 95ac30bec4..1f5d33c211 100644
--- a/omnibus/omnibus-test.sh
+++ b/omnibus/omnibus-test.sh
@@ -93,6 +93,11 @@ if [[ ! -L $USR_BIN_DIR/ohai ]] || [[ $(ls -l $USR_BIN_DIR/ohai | awk '{print$NF
exit 1
fi
+if [[ ! -L $USR_BIN_DIR/inspec ]] || [[ $(ls -l $USR_BIN_DIR/inspec | awk '{print$NF}') != "$BIN_DIR/inspec" ]]; then
+ echo "$USR_BIN_DIR/inspec symlink to $BIN_DIR/inspec was not correctly created by the pre-install script!"
+ exit 1
+fi
+
# Ensure the calling environment (disapproval look Bundler) does not
# infect our Ruby environment created by the `chef-client` cli.
for ruby_env_var in _ORIGINAL_GEM_PATH \